use crate::models::proto::cofd::api::cofd_api_server::{CofdApi, CofdApiServer};
use crate::models::proto::cofd::api::UpdateSkillValueRequest;
use crate::models::proto::cofd::cofd_sheet::Skill;
use tonic::{transport::Server, Request, Response, Status};

#[derive(Debug)]
pub struct CofdApiService {
    pub db: sqlx::SqlitePool,
}

#[tonic::async_trait]
impl CofdApi for CofdApiService {
    async fn update_skill_value(
        &self,
        request: Request<UpdateSkillValueRequest>, // Accept request of type HelloRequest
    ) -> Result<Response<Skill>, Status> {
        // Return an instance of type HelloReply
        println!("Got a request: {:?}", request);

        let reply = Skill::default();

        Ok(Response::new(reply)) // Send back our formatted greeting
    }
}
