use barrel::backend::Sqlite;
use barrel::{types, Migration};

pub fn migration() -> String {
    let mut m = Migration::new();
    println!("Applying migration: {}", file!());

    m.create_table("users", |t| {
        t.add_column("id", types::primary());
        t.add_column("username", types::text());
        t.add_column("password", types::text());
    });

    m.make::<Sqlite>()
}
